Bug 497665 - Review Request: perl-Crypt-CipherSaber - Perl module implementing CipherSaber encryption
Review Request: perl-Crypt-CipherSaber - Perl module implementing CipherSaber...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 17:06 EDT by Xavier Bachelot
Modified: 2009-05-09 00:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.00-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:26:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-04-25 17:06:50 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-Crypt-CipherSaber.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-Crypt-CipherSaber-1.00-1.fc10.src.rpm
Description: The Crypt::CipherSaber module implements CipherSaber encryption, described at http://ciphersaber.gurus.com/. It is simple, fairly speedy, and relatively secure algorithm based on RC4.
Comment 1 Iain Arnell 2009-04-26 05:12:08 EDT
+ source files match upstream.  
  2522e3de77fe005f13be3749e629b5234d449429  Crypt-CipherSaber-1.00.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1321099

+ package installs properly.
+ rpmlint has no complaints:
  perl-Crypt-CipherSaber.noarch: I: checking
  perl-Crypt-CipherSaber.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(Crypt::CipherSaber) = 1.00
  perl-Crypt-CipherSaber = 1.00-1.fc12

=
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Carp)  
  perl(Scalar::Util)  
  perl(strict)  
  perl(vars)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

+ %check is present and all tests pass (with the caveat about
  Module::Signature)
  All tests successful.
  Files=10, Tests=32,  1 wallclock secs ( 0.07 usr  0.02 sys +  0.59 cusr  0.10 csys =  0.78 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Xavier Bachelot 2009-04-26 06:15:50 EDT
Thanks for the review Iain.

New Package CVS Request
=======================
Package Name: perl-Crypt-CipherSaber
Short Description: Perl module implementing CipherSaber encryption
Owners: xavierb
Branches: F-9 F-10 F-11 EL-5
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-27 01:37:50 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-27 18:30:44 EDT
perl-Crypt-CipherSaber-1.00-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Crypt-CipherSaber-1.00-1.fc11
Comment 5 Fedora Update System 2009-05-02 12:26:36 EDT
perl-Crypt-CipherSaber-1.00-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-05-02 12:38:38 EDT
perl-Crypt-CipherSaber-1.00-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-09 00:07:55 EDT
perl-Crypt-CipherSaber-1.00-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.